# Method: projects.locations.jobs.delete

- [HTTP request](https://docs.cloud.google.com/transcoder/docs/reference/rest/v1/projects.locations.jobs/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/transcoder/docs/reference/rest/v1/projects.locations.jobs/delete#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/transcoder/docs/reference/rest/v1/projects.locations.jobs/delete#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/transcoder/docs/reference/rest/v1/projects.locations.jobs/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/transcoder/docs/reference/rest/v1/projects.locations.jobs/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/transcoder/docs/reference/rest/v1/projects.locations.jobs/delete#body.aspect)

Deletes a job.

### HTTP request

`DELETE https://transcoder.googleapis.com/v1/{name=projects/*/locations/*/jobs/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the job to delete. Format: `projects/{project}/locations/{location}/jobs/{job}` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `transcoder.jobs.delete` |

### Query parameters

| Parameters ||
|---|---|
| `allowMissing` | `boolean` If set to true, and the job is not found, the request will succeed but no action will be taken on the server. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).